#about{
   color: var(--primary);

  .about-wrapper{
      margin: auto;

    .about-text{
      .title{
        display: inline;
      }

      .underline{
        position: absolute;  
        background-color: var(--secondary);
        transform-origin: right;
        transform: scaleX(1000);
      }
    }
  }
}

@media screen and (max-width: 1499px){
  .about-wrapper{
    .underline{
      height: 3px;
      margin-top: 10px;
      width: 135px;
    }
   
    .subtitle{
      line-height: 1em;
    }
   
    p{
      font-size: 0.8em;
      line-height: 1.8;
      font-weight: lighter;
    }
  }
}

//Mobile
@media screen and (max-width: 767px){
  .about-wrapper{
    padding: 30px;
    max-width: 500px;

    .about-text{
      padding-bottom: 50px;

      .subtitle{
        padding: 60px 0 25px 0;
      }

      p{
        text-align: justify;
      }
    }
   
    .about-img{
      margin: auto;
      display: flex;
      flex-wrap: wrap;
      max-width: 299px;
         
      .rectangle-1{
        margin: auto;
        background-image: url("../../assets/images/background-4.png");
        background-repeat: no-repeat;
        background-position: center;
        background-size: cover;
        height: 100px;
        width: 100px;
        transform: rotate(45deg);
      }

      .rectangle-2{
        background-image: url("../../assets/images/background-5.png");
        background-repeat: no-repeat;
        background-position: center;
        background-size: cover;
        height: 100px;
        width: 100px;
        margin: auto;
        transform: rotate(45deg);   
      }

      .rectangle-3{
        background-color: var(--secondary);
        height: 100px;
        width: 100px;
        margin: auto;
        transform: translateY(-25px) rotate(45deg);
      }
    }
  }
}

//Tablet
@media screen and (min-width: 768px) and (max-width: 1023px){
  .about-wrapper{
    max-width: 650px;
    padding: 50px 35px;
    display: flex;

    .about-text{
      padding-bottom: 50px;
      width: 60%;

      .subtitle{
        padding: 70px 0 25px 0;
      }

      p{
        text-align: justify;
      }  
    }

    .about-img{
      margin: 60px 0 0 25px;
      display: flex;
      flex-wrap: wrap;
      flex-direction: column;
         
      .rectangle-1{
        background-image: url("../../assets/images/background-4.png");
        background-repeat: no-repeat;
        background-position: center;
        background-size: cover;
        height: 110px;
        width: 110px;
        transform: translateX(25px) translateY(25px) rotate(45deg);   
      }

      .rectangle-2{
        background-color: var(--secondary);
        height: 110px;
        width: 110px;
        transform: translateX(110px) rotate(45deg);   
      }

      .rectangle-3{
        background-image: url("../../assets/images/background-5.png");
        background-repeat: no-repeat;
        background-position: center;
        background-size: cover;
        height: 110px;
        width: 110px;
        transform: translateX(25px) translateY(-25px) rotate(45deg);
      }         
    }
  }
}

//Laptop
@media screen and (min-width: 1024px) and (max-width: 1499px){
  .about-wrapper{
    max-width: 950px;
    padding: 80px 35px;
    display: flex;

    .about-text{
      width: 55%;

      .subtitle{
        padding: 90px 0 25px 0;
      }
    }

    .about-img{
      margin-left: 60px;
      display: flex;
      flex-wrap: wrap;
      flex-direction: column;
         
      .rectangle-1{
        background-image: url("../../assets/images/background-4.png");
        background-repeat: no-repeat;
        background-position: center;
        background-size: cover;
        height: 150px;
        width: 150px;
        transform: translateX(30px) translateY(30px) rotate(45deg);   
      }

      .rectangle-2{
        background-color: var(--secondary);
        height: 150px;
        width: 150px;
        transform: translateX(150px) rotate(45deg);   
      }

      .rectangle-3{
        background-image: url("../../assets/images/background-5.png");
        background-repeat: no-repeat;
        background-position: center;
        background-size: cover;
        height: 150px;
        width: 150px;
        transform: translateX(30px) translateY(-30px) rotate(45deg);
      }         
    }
  }
}

//Desktop
@media screen and (min-width: 1500px){
  .about-wrapper{
    max-width: 1130px;
    padding: 95px 0 30px 0;
    display: flex;

    .about-text{
      width: 60%;

      .title{
        font-size: 2.9em;     
      }

      .underline{
        height: 4px;
        margin-top: 20px;
        width: 196px;
      }
      
      .subtitle{
        padding: 145px 0 30px 0;
        font-size: 3em;
      }

      p{
        font-size: 1.2em;
        line-height: 2;
        font-weight: lighter;
      }
    }

    .about-img{
      margin-left: 90px;
      display: flex;
      flex-wrap: wrap;
      flex-direction: column;
         
      .rectangle-1{
        background-image: url("../../assets/images/background-4.png");
        background-repeat: no-repeat;
        background-position: center;
        background-size: cover;
        height: 274px;
        width: 274px;
        transform: translateX(30px) translateY(30px) rotate(45deg);   
      }

      .rectangle-2{
        background-color: var(--secondary);
        height: 274px;
        width: 274px;
        transform: translateX(240px) translateY(-29px) rotate(45deg);   
      }

      .rectangle-3{
        background-image: url("../../assets/images/background-5.png");
        background-repeat: no-repeat;
        background-position: center;
        background-size: cover;
        height: 274px;
        width: 274px;
        transform: translateX(30px) translateY(-90px) rotate(45deg);
      }         
    }
  }
}